Subject: Re: [multipathtcp] Proposed charter text for MPTCP proxy item

From: "Henderickx, Wim (Nokia - BE)" <[email-masked]>
Date: Thu, 17 Nov 2016 01:17:26 +0000

Phil, you should look at the KT use case presentation for single ended. Migration is important and as such have both dual ended and single ended is important to get to the end-goal which is E2E transparent MPTCP.

https://www.ietf.org/proceedings/97/slides/slides-97-banana-kt-giga-lte-mobile-mptcp-proxy-development-00.pdf

From: multipathtcp <[email-masked]> on behalf of "[email-masked]" <[email-masked]>
Date: Thursday, 17 November 2016 at 01:38
To: "mohamed. boucadair" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [multipathtcp] Proposed charter text for MPTCP proxy item

On the question of single-ended proxy as well as 2-ended. Why is the former considered by operators? – surely it needs MPTCP in end hosts or servers, which unfortunately isn’t there yet? Or do you mean ‘today the operators want to deploy 2-ended proxy solution, and make sure the solution will work in the future for 1-ended, without any great changes’
Happy to add 1-ended if operators really want it. It clearly adds work to make sure that the solution works in both cases, as well as protocol work for the first proxy to discover whether a 2nd proxy exists for this particular receiving end host.
It looks like we need to add something on configuration.
Thanks for the pointer to the objectives. We’ll think about that later (after re-chartering)

From: [email-masked] [mailto:[email-masked]]
Sent: 16 November 2016 15:27
To: Eardley,PL,Philip,TUB8 R <[email-masked]>; [email-masked]
Subject: RE: Proposed charter text for MPTCP proxy item

Hi Phil,

Thank you for the feedback.

Please see inline.

Cheers,
Med

De : [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]
Envoyé : mercredi 16 novembre 2016 16:03
À : BOUCADAIR Mohamed IMT/OLN; [email-masked]<mailto:[email-masked]>
Objet : RE: Proposed charter text for MPTCP proxy item

Assessment criteria – not an RFC. Perhaps it doesn’t need saying in the charter.
[Med] I don’t think we need to say that in the charter.

The point is that the process will follow this approach: discuss criteria; gets proposals against these criteria.
[Med] That’s one way to proceed, but not the only one. I prefer a more pragmatic approach that we start with a candidate document that will be updated to record any consensus from the WG. We can progress in // as suggested by the recent IESG statement:

“When the problem scope is well understood and agreed

upon, charters focused on solutions work are extremely efficient.”

Don’t want to presume there won’t be other proposals and starting points. The discussion so far seems to suggest there are other ideas
[Med] Ideas do not mean necessarily new solutions or documents. As I mentioned earlier, the current merged draft is not frozen, inputs/comments/suggestions are more than welcome.

Target design objectives – please can you point me to where the objectives of your proposal are listed. That will be useful input for me & Yoshi to produce an initial version of the assessment criteria.
[Med] This is mentioned in the Introduction of the draft:

   o  No encapsulation required (no tunnels, whatsoever).

   o  No out-of-band signaling for each MPTCP subflow is required.

   o  Avoids interference with native MPTCP connections.

   o  Targets both on-path and off-path MCPs.

   o  Accommodates various deployment contexts, such as those that

      require the preservation of the source IP address and others

      characterized by an address sharing design.

I’m putting aside this one as I believe it is contentious:

   o  Carries any protocol for the benefit of massive MPTCP adoption.

I think the charter text should be explicit about two-ended proxy – as I understand it, that’s what matches the current deployments (not 1-ended), so that’s what I think the focus should be.
[Med] Both single and two-ended proxies are considered by operators. That’s why I’m suggesting to cite both.

Discussion would be useful on two of your points:

Firstly, deployment considerations. What do people think would be useful here? Experiences from deployments? Implementation advice? What information has to be configured (in some unspecified way) on the proxies? Something else?
[I think it would be useful to capture at least some of this information]
[Med] What I have in mind is the kind of details included in https://tools.ietf.org/html/draft-nam-mptcp-deployment-considerations-00.html.

Second, provision of configuration information to MPTCP proxies. As I understand it, this will be done by manual configuration, or DHCP extensions, or something else. My initial reaction is that I think these things are outside the scope of the WG. But the WG can help motivate work elsewhere.
[Med] The problem is that the DHC WG charter is explicit about this:

"Definitions of new DHCP options that are delivered using standard

mechanisms with documented semantics are not considered a protocol

extension and thus are outside of scope for the DHC WG. Such options

                                                        ^^^^^^^^^^^^

should be defined within their respective WGs and reviewed by DHCP

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

experts in the Internet Area Directorate. However, if such options

require protocol extensions or new semantics, the protocol extension

work must be done in the DHC WG."

I’m reiterating my request to include those in the updated charter. Thanks.

Thanks
[Med] Thank you.
phil

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]
Sent: 16 November 2016 10:06
To: Eardley,PL,Philip,TUB8 R <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: RE: Proposed charter text for MPTCP proxy item

Hi Phil,

Thank you for sharing this text.

I would like to make several comments:

•         I don’t think that assessment criteria and analysis are to be considered as deliverables (hinted by “producing” wording in the proposed text). This is IMHO part of the normal handling of proposals within WGs. The analysis may be more or less formal, but we don’t need to say it explicitly in a charter.

•         At this stage, I only see one merged proposal that is endorsed by a group of people who have the energy to work on this. This group is ready to lead this work to capture and record the consensus of the WG when it comes to technical design choices. Like any IETF draft, that merged proposal is not frozen.

•         From where I sit, I didn’t hear objections about the target design objectives of the Network-assisted MPTCP solution (0-RTT proxying, avoid interference with native MPTCP connection, encourage the establishment of e2e MPTCP connections, etc.) but some disagreements about how to structure the additional data to be supplied during the 3WHS. Those are fair objections that can be handled using the normal IETF procedure (i.e., consensus).

•         There was also some interest in the deployment document as a companion material to have a big picture of the Network-Assisted MPTCP models.

In summary, I would like to charter to be more explicit/clear the MPTCP proxy work is definitely in scope. Below a text proposal:

Many operators now contemplate the use of MPTCP to optimize resource
usage in the various access networks (both wired and wireless) they
operate. Corresponding designs assume MPTCP proxy capabilities that
may be embedded in CPE devices and/or in the operator's network.
Typically, an MPTCP proxy may be embedded in the Customer Premises
Equipment (CPE) and/or in the operator’s network.
No assumption is made about the location of the
MPTCP proxy inside an operator’s network.

The WG will investigate solutions to address these
target deployments. Deployment considerations as well as means to
provision configuration information to MPTCP proxies will also be
documented by the WG.

Thank you.

Cheers,
Med

De : multipathtcp [mailto:[email-masked]] De la part de [email-masked]<mailto:[email-masked]>
Envoyé : mardi 15 novembre 2016 17:24
À : [email-masked]<mailto:[email-masked]>
Objet : [multipathtcp] Proposed charter text for MPTCP proxy item

Hi,
Following our discussion on yesterday’s WG meeting, here is some proposed text for the charter:-

MPTCP is now seeing widespread deployment in networks to bond together two accesses, such as fixed and mobile broadband. The scenario typically features two proxies, one in the home gateway (‘CPE’) and one in the network, both under the control of the operator. The WG will analyse proposed solutions for this scenario by producing:-

* assessment criteria for solutions; support of non-TCP traffic is not a criteria. The WG Chairs will produce the initial version.

* analysis of proposed solutions against these criteria, as well as what updates they would require to RFC6824bis.  As a result, the WG may agree to go forward with the favoured solution.

Comments?
Thanks
Phil & Yoshi